export interface ConditionItemParams {
    key: string;
    value: string;
    condition: string;
}
export interface ConditionItem {
    type: string;
    list: ConditionItemParams[];
}
export interface Condition {
    type: string;
    list: ConditionItem[];
}
export interface ConditionOption {
    isCondition: boolean;
    columnKey: string;
    condition: Condition;
    fontWeight: string;
    fontSize: number;
    color: string;
    fontFamily: string;
    fontStyle: string;
    textDecoration: string;
    isBgColor: boolean;
    bgColor: string;
}
export interface Movement {
    type: string;
    handleTarget: string;
    showList: any[];
    hiddenList: any[];
    linkUrl: string;
}
export interface MutualConditionList {
    conditionType: string;
    list: ConditionItemParams[];
}
export interface MutualCondition {
    conditionType: string;
    list: MutualConditionList[];
}
export interface MutualOption {
    eventType: string;
    mutualIsCondition: boolean;
    mutualCondition: MutualCondition;
    movement: Movement[];
}
export interface Params {
    key: string;
    value: string;
    link: string;
}
export interface DataSourceOption {
    dataSourceType: string;
    dataSourceUrl: string;
    dataSourceName: string;
    dataSourceIsProxy: boolean;
    dataSourceIsCustom: boolean;
    dataSourceJsonBody: object;
    dataSourceParams: Params[];
    dataSourceHeader: Params[];
}
export interface RowItemCondition {
    fontWeight: string;
    fontSize: number;
    color: string;
    fontFamily: string;
    fontStyle: string;
    textDecoration: string;
    isBgColor: boolean;
    bgColor: string;
}
export interface ColumnType {
    rowItemBindKey: string;
    rowItemShineBindKey: string;
    rowItemTitleName: string;
    rowItemDefaultValue: string;
    rowItemWidth: number;
    rowItemTextAlgin: string;
    rowItemType: string;
    rowItemColor: string;
    rowItemFontFamily: string;
    rowItemFontSize: number;
    rowItemFontWeight: string;
    rowItemFontStyle: string;
    rowItemTextDecoration: string;
    rowItemIsSelect: boolean;
    rowItemSelectFontFamily: string;
    rowItemSelectColor: string;
    rowItemSelectFontSize: number;
    rowItemSelectFontWeight: string;
    rowItemSelectFontStyle: string;
    rowItemSelectTextDecoration: string;
    rowItemSelectIsBackgroundColor: boolean;
    rowItemSelectBackgroundColor: string;
}
export interface BBasicTableComponentProps {
    content: any;
    componentData: any;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    isRelation: boolean;
    transform: string;
    width: string;
    height: string;
    widthValue: string;
    heightValue: string;
    left: string;
    top: string;
    isBackgroundColor: boolean;
    backgroundColor: string;
    rowItemHeight: string;
    rowItemNumber: number;
    rowItemSpace: string;
    rowItemBorderRadius: string;
    rowItemIsBorder: boolean;
    rowItemBorderColor: string;
    rowItemBorderWidth: string;
    rowItemBorderStyle: string;
    rowItemBackgroundColorType: string;
    rowItemBackgroundColorDouble1: string;
    rowItemBackgroundColorDouble2: string;
    rowItemBackgroundColorSimple: string;
    rowTitleIsShow: boolean;
    rowTitleIsBackgroundColor: boolean;
    rowTitleBackgroundColor: string;
    rowTitleHeight: string;
    rowTitleColor: string;
    rowTitleFontFamily: string;
    rowTitleFontSize: string;
    rowTitleFontWeight: string;
    rowTitleFontStyle: string;
    rowTitleTextDecoration: string;
    rowItemIsHover: boolean;
    rowItemHoverIsBackgroundColor: boolean;
    rowItemHoverBackgroundColor: string;
    rowItemHoverIsBorder: boolean;
    rowItemHoverBorderColor: string;
    rowItemHoverBorderWidth: string;
    rowItemHoverBorderStyle: string;
    rowItemIsSelect: boolean;
    rowItemSelectType: string;
    rowItemSelectIsBackgroundColor: boolean;
    rowItemSelectBackgroundColor: string;
    rowItemSelectIsBorder: boolean;
    rowItemSelectBorderColor: string;
    rowItemSelectBorderWidth: string;
    rowItemSelectBorderStyle: string;
    rowItemIsSwapper: boolean;
    rowItemSwapperTime: number;
    rowItemIsOverflow: boolean;
    rowItemOverflowTime: number;
    columnItemSpace: string;
    columnItemList: ColumnType[];
    dataIsFilter: boolean;
    dataFilterCode: string;
    dataIsAutoUpdate: boolean;
    dataAutoUpdateTime: number;
    dataSourceOption: DataSourceOption;
    mutualOption: MutualOption[];
    conditionOption: ConditionOption[];
}
export declare const bBasicTableDefaultProps: BBasicTableComponentProps;
export declare const bBasicTableStylePropNames: string[];
