export interface Condition {
    type: string;
    list: ConditionItem[];
}
export interface ConditionItem {
    type: string;
    list: ConditionItemParams[];
}
export interface ConditionOption {
    isCondition: boolean;
    columnKey: string;
    condition: Condition;
    fontWeight: string;
    fontSize: number;
    color: string;
    fontFamily: string;
    fontStyle: string;
    textDecoration: string;
    isBgColor: boolean;
    bgColor: string;
}
export interface ConditionItemParams {
    key: string;
    value: string;
    condition: string;
}
export interface Movement {
    type: string;
    handleTarget: string;
    showList: any[];
    hiddenList: any[];
    linkUrl: string;
}
export interface MutualConditionList {
    conditionType: string;
    list: ConditionItemParams[];
}
export interface MutualCondition {
    conditionType: string;
    list: MutualConditionList[];
}
export interface MutualOption {
    eventType: string;
    mutualIsCondition: boolean;
    mutualCondition: MutualCondition;
    movement: Movement[];
}
export interface Params {
    key: string;
    value: string;
    link: string;
}
export interface DataSourceOption {
    dataSourceType: string;
    dataSourceUrl: string;
    dataSourceName: string;
    dataSourceIsProxy: boolean;
    dataSourceIsCustom: boolean;
    dataSourceJsonBody: object;
    dataSourceParams: Params[];
    dataSourceHeader: Params[];
}
export interface BTextComponentProps {
    content: any;
    componentData: any;
    whiteSpace: string;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    isRelation: boolean;
    display: string;
    alignItems: string;
    justifyContent: string;
    transform: string;
    isColor: boolean;
    color: string;
    colorValue: string;
    fontFamily: string;
    fontSize: string;
    fontWeight: string;
    fontStyle: string;
    textDecoration: string;
    overflow: string;
    cursor: string;
    lineHeight: string;
    letterSpacing: string;
    textIndent: string;
    opacity: string;
    width: string;
    height: string;
    widthValue: string;
    heightValue: string;
    left: string;
    top: string;
    isBackgroundColor: boolean;
    backgroundColor: string;
    backgroundColorValue: string;
    paddingTop: string;
    paddingRight: string;
    paddingBottom: string;
    paddingLeft: string;
    isAllBorderRadius: boolean;
    borderRadius: string;
    borderRadiusAll: string;
    borderTopLeftRadius: string;
    borderTopRightRadius: string;
    borderBottomLeftRadius: string;
    borderBottomRightRadius: string;
    isBorder: boolean;
    borderStyle: string;
    borderWidth: string;
    borderColor: string;
    borderStyleValue: string;
    borderWidthValue: string;
    borderColorValue: string;
    isBoxShadow: boolean;
    boxShadow: string;
    boxShadowH: string;
    boxShadowV: string;
    boxShadowBlur: string;
    boxShadowSpread: string;
    boxShadowColor: string;
    boxShadowInset: boolean;
    isFilter: boolean;
    filter: string;
    filterValue: string;
    dataIsFilter: boolean;
    dataFilterCode: string;
    dataIsAutoUpdate: boolean;
    dataAutoUpdateTime: number;
    dataSourceOption: DataSourceOption;
    mutualOption: MutualOption[];
    conditionOption: ConditionOption[];
}
export declare const bTextDefaultProps: BTextComponentProps;
export declare const bTextStylePropNames: string[];
